Class protos.google.cloud.sql.v1beta4.SqlInstancesPreCheckMajorVersionUpgradeRequest (0.25.0)

Represents a SqlInstancesPreCheckMajorVersionUpgradeRequest.

Implements

Package

@google-cloud/sql

Constructors

(constructor)(properties)

constructor(properties?: google.cloud.sql.v1beta4.ISqlInstancesPreCheckMajorVersionUpgradeRequest);

Constructs a new SqlInstancesPreCheckMajorVersionUpgradeRequest.

Parameter
Name Description
properties ISqlInstancesPreCheckMajorVersionUpgradeRequest

Properties to set

Properties

body

public body?: (google.cloud.sql.v1beta4.IInstancesPreCheckMajorVersionUpgradeRequest|null);

SqlInstancesPreCheckMajorVersionUpgradeRequest body.

instance

public instance: string;

SqlInstancesPreCheckMajorVersionUpgradeRequest instance.

project

public project: string;

SqlInstancesPreCheckMajorVersionUpgradeRequest project.

Methods

create(properties)

public static create(properties?: google.cloud.sql.v1beta4.ISqlInstancesPreCheckMajorVersionUpgradeRequest): google.cloud.sql.v1beta4.SqlInstancesPreCheckMajorVersionUpgradeRequest;

Creates a new SqlInstancesPreCheckMajorVersionUpgradeRequest instance using the specified properties.

Parameter
Name Description
properties ISqlInstancesPreCheckMajorVersionUpgradeRequest

Properties to set

Returns
Type Description
SqlInstancesPreCheckMajorVersionUpgradeRequest

SqlInstancesPreCheckMajorVersionUpgradeRequest instance

decode(reader, length)

public static decode(reader: ($protobuf.Reader|Uint8Array), length?: number): google.cloud.sql.v1beta4.SqlInstancesPreCheckMajorVersionUpgradeRequest;

Decodes a SqlInstancesPreCheckMajorVersionUpgradeRequest message from the specified reader or buffer.

Parameters
Name Description
reader (Reader|Uint8Array)

Reader or buffer to decode from

length number

Message length if known beforehand

Returns
Type Description
SqlInstancesPreCheckMajorVersionUpgradeRequest

SqlInstancesPreCheckMajorVersionUpgradeRequest

decodeDelimited(reader)

public static decodeDelimited(reader: ($protobuf.Reader|Uint8Array)): google.cloud.sql.v1beta4.SqlInstancesPreCheckMajorVersionUpgradeRequest;

Decodes a SqlInstancesPreCheckMajorVersionUpgradeRequest message from the specified reader or buffer, length delimited.

Parameter
Name Description
reader (Reader|Uint8Array)

Reader or buffer to decode from

Returns
Type Description
SqlInstancesPreCheckMajorVersionUpgradeRequest

SqlInstancesPreCheckMajorVersionUpgradeRequest

encode(message, writer)

public static encode(message: google.cloud.sql.v1beta4.ISqlInstancesPreCheckMajorVersionUpgradeRequest, writer?: $protobuf.Writer): $protobuf.Writer;

Encodes the specified SqlInstancesPreCheckMajorVersionUpgradeRequest message. Does not implicitly messages.

Parameters
Name Description
message ISqlInstancesPreCheckMajorVersionUpgradeRequest

SqlInstancesPreCheckMajorVersionUpgradeRequest message or plain object to encode

writer $protobuf.Writer

Writer to encode to

Returns
Type Description
$protobuf.Writer

Writer

encodeDelimited(message, writer)

public static encodeDelimited(message: google.cloud.sql.v1beta4.ISqlInstancesPreCheckMajorVersionUpgradeRequest, writer?: $protobuf.Writer): $protobuf.Writer;

Encodes the specified SqlInstancesPreCheckMajorVersionUpgradeRequest message, length delimited. Does not implicitly messages.

Parameters
Name Description
message ISqlInstancesPreCheckMajorVersionUpgradeRequest

SqlInstancesPreCheckMajorVersionUpgradeRequest message or plain object to encode

writer $protobuf.Writer

Writer to encode to

Returns
Type Description
$protobuf.Writer

Writer

fromObject(object)

public static fromObject(object: { [k: string]: any }): google.cloud.sql.v1beta4.SqlInstancesPreCheckMajorVersionUpgradeRequest;

Creates a SqlInstancesPreCheckMajorVersionUpgradeRequest message from a plain object. Also converts values to their respective internal types.

Parameter
Name Description
object { [k: string]: any }

Plain object

Returns
Type Description
SqlInstancesPreCheckMajorVersionUpgradeRequest

SqlInstancesPreCheckMajorVersionUpgradeRequest

getTypeUrl(typeUrlPrefix)

public static getTypeUrl(typeUrlPrefix?: string): string;

Gets the default type url for SqlInstancesPreCheckMajorVersionUpgradeRequest

Parameter
Name Description
typeUrlPrefix string

your custom typeUrlPrefix(default "type.googleapis.com")

Returns
Type Description
string

The default type url

toJSON()

public toJSON(): { [k: string]: any };

Converts this SqlInstancesPreCheckMajorVersionUpgradeRequest to JSON.

Returns
Type Description
{ [k: string]: any }

JSON object

toObject(message, options)

public static toObject(message: google.cloud.sql.v1beta4.SqlInstancesPreCheckMajorVersionUpgradeRequest, options?: $protobuf.IConversionOptions): { [k: string]: any };

Creates a plain object from a SqlInstancesPreCheckMajorVersionUpgradeRequest message. Also converts values to other types if specified.

Parameters
Name Description
message SqlInstancesPreCheckMajorVersionUpgradeRequest

SqlInstancesPreCheckMajorVersionUpgradeRequest

options $protobuf.IConversionOptions

Conversion options

Returns
Type Description
{ [k: string]: any }

Plain object

verify(message)

public static verify(message: { [k: string]: any }): (string|null);

Verifies a SqlInstancesPreCheckMajorVersionUpgradeRequest message.

Parameter
Name Description
message { [k: string]: any }

Plain object to verify

Returns
Type Description
(string|null)

null if valid, otherwise the reason why it is not